import os
import os.path 

import jinja2

from config import *


def generate_listing(path):
    template = JINJA_ENV.get_template("listing.html")
    files = [f for f in os.listdir(path) 
               if os.path.isfile(os.path.join(path,f))]
    print(template.render(dir_name=path,files=files))



def setup_output_dir():
    if not os.path.exists(OUTPUT_DIR):
        os.mkdir(OUTPUT_DIR)
        
def traverse(path,callback):
    for f in os.listdir(os.path.join(INPUT_DIR,path)):
        full_path = os.path.join(INPUT_DIR,path,f)
        if os.path.isdir(full_path):
            callback(full_path)
            traverse(os.path.join(path,f),callback)

def dummy_callback(dir_path):
    print(dir_path)

if __name__ == "__main__":
    traverse("",generate_listing)
